> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Index Dataset Progress

> Retrieves the status of a dataset indexing operation for the specified index ID



## OpenAPI

````yaml /openapi/product/data-sets.yaml get /api/data/v3/datasources/{datasetId}/indexes/{indexId}/statuses
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/data/v3/datasources/{datasetId}/indexes/{indexId}/statuses:
    get:
      tags:
        - Datasets API
      summary: Index Dataset Progress
      description: >-
        Retrieves the status of a dataset indexing operation for the specified
        index ID
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
        - name: indexId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Index status
      x-codeSamples:
        - lang: HTTP
          source: >
            GET /api/data/v3/datasources/{datasetId}/indexes/{indexId}/statuses
            HTTP/1.1

            Host: {instance}.domo.com

            X-DOMO-Developer-Token: {token}
components:
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````